package com.muyu.ruleenign.client.config;

import com.muyu.common.core.domain.Result;
import com.muyu.ruleengine.domain.Ruleengine;
import com.muyu.ruleengine.domain.req.RuleengineQueryReq;
import com.muyu.ruleengine.remote.RemoteRuleEngineManagerService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import java.util.List;

/**
 * 引擎初始化加载 RuleEngineClientRunner
 *
 * @author DeKangLiu
 * Date 2024/5/10 19:07
 */
@Log4j2
public class RuleEngineClientRunner implements ApplicationRunner {
    @Autowired
    private RemoteRuleEngineManagerService remoteRuleEngineManagerService;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        Result<List<Ruleengine>> listResult = remoteRuleEngineManagerService.ruleEngineList(new RuleengineQueryReq());
        log.info("初始化加载规则引擎列表:{}", listResult);
    }
}
